NoSpamLogger.Level (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Enum NoSpamLogger.Level

- java.lang.Object
- - java.lang.Enum<NoSpamLogger.Level>
  - - org.apache.cassandra.utils.NoSpamLogger.Level

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoSpamLogger.Level>
  Enclosing class:
    NoSpamLogger

      public static enum NoSpamLogger.Level
      extends java.lang.Enum<NoSpamLogger.Level>

  Levels for programmatically specifying the severity of a log statement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFO`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoSpamLogger.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoSpamLogger.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final NoSpamLogger.Level INFO

    - #### WARN

          public static final NoSpamLogger.Level WARN

    - #### ERROR

          public static final NoSpamLogger.Level ERROR

  - ### Method Detail

    - #### values

          public static NoSpamLogger.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoSpamLogger.Level c : NoSpamLogger.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoSpamLogger.Level valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation